> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Design voice

> Generate candidate voices from a description using the same Web allowance and provider.

MCP tool: `podcast_design_voice`. OAuth scope: `podcast.generate`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/voices/design
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/voices/design:
    post:
      tags:
        - Podcast
      summary: design voice
      description: >-
        Generate candidate voices from a description using the same Web
        allowance and provider.
      operationId: podcast_design_voice
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.PrjTimbreVoiceDesignReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PrjTimbreVoiceDesignResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.PrjTimbreVoiceDesignReq:
      properties:
        preview_text:
          description: 试听音频文本，最多 500 个字符
          type: string
        prompt:
          description: 音色描述，用于指导 MiniMax 生成音色
          type: string
        task_id:
          description: 音色设计任务ID；再次抽卡时传入
          type: integer
      required:
        - preview_text
        - prompt
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PrjTimbreVoiceDesignResp:
      properties:
        batch_id:
          type: string
        task_id:
          type: integer
        voices:
          items:
            $ref: '#/components/schemas/vo.PrjTimbreVoiceDesignItem'
          type: array
      type: object
    vo.PrjTimbreVoiceDesignItem:
      properties:
        audition_url:
          type: string
        task_item_id:
          type: integer
        voice_id:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````